stages:
  - build

variables:
  IMAGE_NAME: $CI_REGISTRY/$CI_PROJECT_PATH:$CI_COMMIT_REF_NAME

build:
  stage: build
  image: docker:git
  services:
    - name: docker:dind
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    - touch .env
    - docker build -t $IMAGE_NAME .
    - docker push $IMAGE_NAME
  retry: 2